Delete a pipeline
curl --request DELETE \
--url https://your-instance.example.com/api/pipelines/{pipelineId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetPipelineId": "66f0a0b0c0d0e0f0a0b0c0d1"
}
'import requests
url = "https://your-instance.example.com/api/pipelines/{pipelineId}"
payload = { "targetPipelineId": "66f0a0b0c0d0e0f0a0b0c0d1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetPipelineId: '66f0a0b0c0d0e0f0a0b0c0d1'})
};
fetch('https://your-instance.example.com/api/pipelines/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Pipeline deleted",
"pipelineId": "66f0a0b0c0d0e0f0a0b0c0d0",
"recordsTransferred": 22,
"movedToPipeline": {
"id": "66f0a0b0c0d0e0f0a0b0c0d1",
"name": "EMEA sales pipeline"
},
"movedToStage": {
"id": "67f0a0b0c0d0e0f0a0b0c0e0",
"name": "New"
}
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}Pipelines
Delete a pipeline
Hard-deletes the pipeline and its stages. If the pipeline still has assigned records, provide a targetPipelineId in the body so the records are migrated to the first active stage of that pipeline before deletion. The default pipeline cannot be deleted.
DELETE
/
api
/
pipelines
/
{pipelineId}
Delete a pipeline
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required when the pipeline still has assigned contacts or applications. Records are migrated to the first active stage of this destination pipeline before deletion.
⌘I